Bug 1306456 - Totem cannot play anything, fixed in upstream gstreamer
Totem cannot play anything, fixed in upstream gstreamer
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: gstreamer1 (Show other bugs)
24
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: Wim Taymans
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-10 17:13 EST by Alexandre Mazari
Modified: 2016-04-08 04:35 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-04-08 04:35:06 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alexandre Mazari 2016-02-10 17:13:53 EST
Description of problem:
As used within Totem, current gstreamer1-plugins-base (1.7.1) hinder media playing. I tried both uncompressed audio (wav) and simple video codec (mpeg1) without success.

Version-Release number of selected component (if applicable):
1.7.1

How reproducible:


Steps to Reproduce:
 $ totem /usr/share/sounds/alsa/Front_Center.wav

Actual results:
No sound comes from the speakers, error message in totem UI: "This file cannot be played over the network. Try downloading it locally first."

Expected results:
A smooth voice saying "Front Center" is output from speakers.

Additional info:
Issues regarding capacities negociation shows up in the logs (GST_DEBUG=5) as reported (https://bugzilla.gnome.org/show_bug.cgi?id=760867)

I was pointed to a gstreamer bug/patch that indeed fixed the issue locally:
https://bugzilla.gnome.org/show_bug.cgi?id=760867

Unfortunately, this patch didn't made it yet into a gstreamer release.

Would you concider backporting the fix ?
Comment 1 Alexandre Mazari 2016-02-10 17:24:11 EST
Oops. The actual gstreamer fix can be found at https://bugzilla.gnome.org/show_bug.cgi?id=760234
Comment 2 Jan Kurik 2016-02-24 10:34:02 EST
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase
Comment 3 Andy Lutomirski 2016-04-07 11:24:10 EDT
This (or a similar bug) appears to affect Fedora 23 as well, and it prevents Firefox from playing any video at all, too.

$ gst-play-1.0 /usr/share/sounds/alsa/Front_Center.wav Press 'k' to see a list of keyboard shortcuts.
Now playing /usr/share/sounds/alsa/Front_Center.wav
0:00:00.0 / 0:00:01.4 

And it sits there like that forever without playing anything.
Comment 4 Andy Lutomirski 2016-04-07 13:29:59 EDT
(In reply to Andy Lutomirski from comment #3)
> This (or a similar bug) appears to affect Fedora 23 as well, and it prevents
> Firefox from playing any video at all, too.

Please disregard.  Pulseaudio got stuck, and it was stuck hard enough that it didn't recover when I logged out and back in, and gstreamer was getting stuck behind it.
Comment 5 Wim Taymans 2016-04-08 04:35:06 EDT
please test again with 1.8 version in f24 now and reopen if the problem still exists

Note You need to log in before you can comment on or make changes to this bug.